Download OpenAPI specification:Download
https://api.signicat.com/secure-share/The Secure Share API enables you to securely share files with other people in a programmatic way.
You can choose among different levels of security, ranging from weaker methods, such as One-Time Passwords (OTPs), to stronger methods, like using electronic IDs (eIDs).
This REST API uses the OAuth 2.0 protocol for authorisation. All request and response bodies are formatted in JSON.
Before you can start making requests to this API, you need to learn how to connect to it. To do this, see the Connect to Signicat APIs Quick start guide.
Use the Signicat Audit logs service to see documented evidence of the sequence of activities that have affected a system.
When you make an API call to Signicat and an error occurs, you will receive a response message with an error code.
Use the Signicat Events service to automatically receive information about when something happens in one of our services into your system.
Note: This is often referred to as callback.
Create a recipient and add it to an existing share
| shareId required | string <guid> Example: 39986da7-c61f-46a8-92d4-609e55bfab1f The identifier of the share this recipient belongs to |
| firstName | string or null Recipient first name |
| lastName | string or null Recipient last name |
string or null <email> ^[^@]+@[^@]+$ Recipient email. Email is required if mobile is not provided or if it used by authentications or notifications | |
| mobile | string or null Recipient mobile. Mobile is required if email is not provided or if it used by authentications or notifications |
| fileRestrictions | Array of strings or null <guid> [ items <guid > ] A list of file ids that this recipient has access to, if empty, this recipient will have access to all the file from the share |
required | Array of objects (AuthenticationDto) non-empty List of authentication methods for a recipient |
(NotificationDto (object or null)) Recipient notification setup | |
| externalReference | string or null Create a reference to your own system |
{- "firstName": "John",
- "lastName": "Johnson",
- "email": "john.johnson@signicat.com",
- "mobile": "+4771234567",
- "fileRestrictions": [ ],
- "authentication": [
- {
- "identityProvider": "nbid",
- "idpId": "1234-3456-5678",
- "nin": "12345678901"
}
], - "notification": {
- "sendEmail": true,
- "sendSms": true,
- "language": "En"
}, - "externalReference": "9f27473d-832f-4591-98a9-881d0afc9fbc"
}{- "id": "c9bc2a51-c2d6-4f7f-9bd3-ceff39e66c6c",
- "externalReference": "fa63b101-eec8-411e-96bb-58eaf0689b02",
- "firstName": "John",
- "lastName": "Johnson",
- "email": "john.johnson@signicat.com",
- "mobile": "0777777777",
- "fileAccessInfos": [
- {
- "id": "9637a549-78c2-4b62-9b10-12926b6aef16",
- "lastDownloadedAt": "2026-11-11T10:23:08.8820884+00:00"
}
], - "fileRestrictions": [
- "9637a549-78c2-4b62-9b10-12926b6aef16"
], - "authentication": [
- {
- "identityProvider": "otp-sms",
- "idpId": null,
- "nin": null
}, - {
- "identityProvider": "otp-email",
- "idpId": null,
- "nin": null
}
], - "loggedInTime": "2026-11-11T10:18:08.8820985+00:00",
- "url": null,
- "notification": {
- "sendEmail": true,
- "sendSms": true,
- "language": "En"
}
}Remove a recipient from an existing share
| shareId required | string <guid> Example: 6c83dc99-9e22-4d02-adcd-91de904c028e Unique Share identifier |
| recipientId required | string <guid> Example: f52e6fbf-fda4-4bad-bf46-6bdabd55dda7 Unique Recipient identifier |
{- "type": null,
- "title": null,
- "status": null,
- "detail": null,
- "instance": null
}Get a recipient from an existing share
| shareId required | string <guid> Example: fc8b5da7-3151-48ea-9986-758172a077fe Unique Share identifier |
| recipientId required | string <guid> Example: ab94fa7d-35a2-45b9-8694-2b20e6899db0 Unique Recipient identifier |
{- "id": "f58dd183-ea10-4fe9-bd1d-b87ef6170970",
- "externalReference": "3f6cf299-af0b-4ca3-9ca0-93e652c63589",
- "firstName": "John",
- "lastName": "Johnson",
- "email": "john.johnson@signicat.com",
- "mobile": "0777777777",
- "fileAccessInfos": [
- {
- "id": "35af15a0-48f0-421a-a5e4-3163723bede8",
- "lastDownloadedAt": "2026-11-11T10:23:08.8843355+00:00"
}
], - "fileRestrictions": [
- "35af15a0-48f0-421a-a5e4-3163723bede8"
], - "authentication": [
- {
- "identityProvider": "otp-sms",
- "idpId": null,
- "nin": null
}, - {
- "identityProvider": "otp-email",
- "idpId": null,
- "nin": null
}
], - "loggedInTime": "2026-11-11T10:18:08.8843447+00:00",
- "url": null,
- "notification": {
- "sendEmail": true,
- "sendSms": true,
- "language": "En"
}
}Update a recipient from an existing share
| shareId required | string <guid> Example: 43bb0a45-bf96-4df1-8b94-3176c346618b The identifier of the share this recipient belongs to |
| recipientId required | string <guid> Example: 13c5c2e2-7539-4bcc-a3a3-bcb898dfda74 Unique recipient identifier |
| firstName | string or null Recipient first name |
| lastName | string or null Recipient last name |
string or null <email> ^[^@]+@[^@]+$ Recipient email | |
| mobile | string or null Recipient mobile |
| externalReference | string or null Create a reference to your own system |
| fileRestrictions | Array of strings or null <guid> [ items <guid > ] A list of file ids that this recipient has access to, if empty, this recipient will have access to all the file from the share |
Array of objects or null (AuthenticationDto) List of authentication methods for a recipient | |
(UpdateNotificationDto (object or null)) Recipient notification setup |
{- "firstName": "John",
- "lastName": "Johnson",
- "email": "john.johnson@signicat.com",
- "mobile": "+4771234567",
- "externalReference": "b0398664-8b8f-4d68-bb3c-b5f3ca90bb20",
- "fileRestrictions": [ ],
- "authentication": [
- {
- "identityProvider": "sbid",
- "idpId": "5678-1234-3456",
- "nin": "10234567893"
}
], - "notification": {
- "sendEmail": true,
- "sensSms": true,
- "language": null
}
}{- "id": "d569a086-7060-4a43-bac1-33b014f24011",
- "externalReference": "cb82c213-127c-45b2-8268-4ab286b5634b",
- "firstName": "John",
- "lastName": "Johnson",
- "email": "john.johnson@signicat.com",
- "mobile": "0777777777",
- "fileAccessInfos": [ ],
- "fileRestrictions": [ ],
- "authentication": [
- {
- "identityProvider": "sbid",
- "idpId": "5678-1234-3456",
- "nin": "10234567893"
}
], - "loggedInTime": "2026-11-11T10:18:08.8871552+00:00",
- "url": null,
- "notification": {
- "sendEmail": true,
- "sendSms": true,
- "language": "En"
}
}Send a reminder notification to a specific recipient
| shareId required | string <guid> Example: b9436c7e-2ff4-468a-8ca7-1b303ccec8da Unique Share identifier |
| recipientId required | string <guid> Example: 006f1f73-91c1-4009-a302-bd9c911d1a65 Unique Recipient identifier |
{- "type": null,
- "title": null,
- "status": null,
- "detail": null,
- "instance": null
}Remove a file from the storage
| shareId required | string <guid> Example: 1c45ad45-f3ef-4634-83db-6238806e8ca8 Unique Share identifier |
| fileId required | string <guid> Example: 0d7dd8a6-e1c6-404f-9589-792d7c573b89 Unique File identifier |
{- "type": null,
- "title": null,
- "status": null,
- "detail": null,
- "instance": null
}Upload a file(s) using multipart/form-data request body
| shareId required | string <guid> Example: 6573376e-6105-48f6-9b68-5769edb06ee1 Unique Share identifier |
[- {
- "id": "d6155fb2-ad83-4f5b-aac6-44b545605e7d",
- "name": "File1",
- "status": "Success",
- "size": 1234,
- "message": null
}, - {
- "id": "79a620dc-8c3a-4a00-ab93-cd05b3912a80",
- "name": "File2",
- "status": "VirusFound",
- "size": 5023412,
- "message": "This file contains a malicious script"
}, - {
- "id": "1da7a514-7d87-4ec8-b514-a78cd5afc539",
- "name": "File3",
- "status": "Failed",
- "size": 5678,
- "message": "Something went wrong uploading the file"
}, - {
- "id": "7b734234-641b-4d7e-8ed3-2db0083f7975",
- "name": "File4",
- "status": "Success",
- "size": 69420,
- "message": null
}
]